#!/bin/bash

export PATH=$PATH:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

function Usage
{
cat << END
******************************************************************************
* This script is used to re_install gnprinter. (MUST BE RUNNING AT ROOT MODE)
******************************************************************************

END
	exit
}

function gnlog
{
	cur_date=$(date)
	log_fmt=$*
	echo "${cur_date}:${log_fmt}"
}

function re_install
{
	gnprinter_list_dir=$1
	gnlog "GNPrinter profile in ${gnprinter_list_dir}"
	if [ -f $gnprinter_list_dir ]; then
		cat ${gnprinter_list_dir} | awk -F '=' '{print $2}' | while read LINE
		do
			gnlog "Try to reinstall $LINE"
			/usr/bin/set_gnprinter.sh add_printer $LINE
		done
	else
		gnlog "${gnprinter_list_dir} is not exist"
	fi
}

function main
{
	re_install $*
}

main $*